Package twisted :: Package flow :: Module stage :: Class Concurrent

[frames | no frames]

## Class Concurrent

    Instruction --+
                  |
              Stage --+
                      |
                     Concurrent

Executes stages concurrently

This stage allows two or more stages (branches) to be executed at the same time. It returns each stage as it becomes available. This can be used if you have N callbacks, and you want to yield and wait for the first available one that produces results. Once a stage is retuned, its next() method should be used to extract the value for the stage.

Method Summary
| `__init__(self, *stages)`
| ``_yield`(self)` executed during a yield statement by previous stage
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Class Variable Summary
`class` | `Instruction` = `twisted.flow.stage.Instruction`

Method Details

### _yield(self)

executed during a yield statement by previous stage

This method is private within the scope of the flow module, it is used by one stage in the flow to ask a subsequent stage to produce its value. The result of the yield is then stored in self.result and is an instance of Failure if a problem occurred.

  Overrides:
    `twisted.flow.base.Stage._yield` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net